Package org.eclipse.cdt.core.parser

# Class IncludeFileContentProvider

java.lang.Object
org.eclipse.cdt.core.parser.IncludeFileContentProvider

public abstract class IncludeFileContentProvider extends Object
A file content provider is used to create file content objects for include directives.

Since:
  5.2
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`IncludeFileContentProvider()`

## Method Summary

Modifier and Type
Method
Description
`static IncludeFileContentProvider`
`adapt(ICodeReaderFactory factory)`
Deprecated.
Provided to achieve backwards compatibility.
`static IncludeFileContentProvider`
`getEmptyFilesProvider()`
Returns a provider that pretends that every include file is empty.
`static IncludeFileContentProvider`
`getSavedFilesProvider()`
Returns a provider for the content as saved in the file-system, without using a cache.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IncludeFileContentProvider

public IncludeFileContentProvider()

## Method Details

### getEmptyFilesProvider

public static IncludeFileContentProvider getEmptyFilesProvider()
Returns a provider that pretends that every include file is empty.

### getSavedFilesProvider

public static IncludeFileContentProvider getSavedFilesProvider()
Returns a provider for the content as saved in the file-system, without using a cache.

### adapt

@Deprecated public static IncludeFileContentProvider adapt(ICodeReaderFactory factory)
Deprecated.
Provided to achieve backwards compatibility.

Restriction:
  This method is not intended to be referenced by clients.